List tickets on local waitlist
GET
{{server}}/api/v1/counter/waitList/localThis endpoint lists all tickets on the local waitlist of the counter.
Request
Authorization
| Header | Value |
|---|---|
Authorization | Bearer {{counterToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/counter/waitList/local' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}'
const response = await fetch("{{server}}/api/v1/counter/waitList/local", {
method: "GET",
headers: {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/counter/waitList/local"
headers = {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/counter/waitList/localHeaders (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 1214 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
[
{
"key": "197f9b37-cd51-4c50-e526-a47c487a30c2",
"status": 70,
"user": "00000000-0000-4000-0002-000000000006",
"counter": null,
"calls": 1,
"statusTime": 1752241077522,
"reserved": false,
"history": {
"00000000-0000-4000-0002-000000000006": "18ed1aa2-c5a3-4946-8ba7-f71bb5ce69c1"
},
"language": "00000000-0000-4000-0004-000000000001",
"createdAt": 1752240979157,
"number": "002",
"bookingCode": null,
"crm": null,
"createType": 1,
"comments": null,
"customerData": {},
"priority": 5,
"transactionTimeSum": 3983,
"waitingTimeSum": 87247,
"recording": 0,
"customerName": null,
"tasks": [
{
"type": 7,
"key": "197f9b37-cd31-4d11-8c14-9a26eb079851",
"subType": 1,
"name": "Pension insurance",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Pension insurance"
},
"00000000-0000-4000-0004-000000000017": {
"name": "Nyugdíjbiztosítás"
}
},
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"normalDelay": 120,
"forcedDelay": 300,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"services": [],
"codes": [],
"status": 20,
"code": 7,
"aspect": null,
"time": 1751896842276,
"service": "18ed1aa2-c5a3-4946-8ba7-f71bb5ce69c1",
"createType": 1,
"createdAt": 1752240979155,
"statusTime": 1752241077522,
"zero": false,
"user": null
}
]
}
]